%define _name spice-gtk
%def_enable introspection

Name: libspice-gtk
Version: 0.5
Release: alt2
Summary: A GTK widget for SPICE clients

Group: System/Libraries
License: LGPLv2+
Url: http://spice-space.org/page/Spice-Gtk

Source: %name-%version.tar
Patch: %name-%version-%release.patch
Patch2: %name-%version-alt-fix-build.patch

%{?_enable_introspection:BuildPreReq: gobject-introspection-devel libgtk+2-gir-devel}
BuildRequires: gcc-c++ gtk-doc intltool libjpeg-devel libpixman-devel libpulseaudio-devel libssl-devel zlib-devel
BuildRequires: spice-protocol libcelt051-devel
BuildRequires: perl-Text-CSV perl-Text-CSV_XS python-module-pygtk-devel python-module-pyparsing

%description
A Gtk client and libraries for SPICE remote desktop servers.

%package devel
Summary: Development files to build GTK2 applications with spice-gtk
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
spice-client-glib is a SPICE client library for GLib.
spice-client-gtk provides a SPICE viewer widget for GTK.

Libraries, includes, etc. to compile with the spice-gtk libraries

%package devel-doc
Summary: Development docs package for spice-gtk libraries
Group: Development/Documentation
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
Development docs package for spice-gtk libraries

%package gir
Summary: GObject introspection data for the spice-gtk library
Group: System/Libraries
Requires: %name = %version-%release

%description gir
GObject introspection data for the spice-gtk library

%package gir-devel
Summary: GObject introspection devel data for the spice-gtk library
Group: System/Libraries
BuildArch: noarch
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for the spice-gtk library

%package -n python-module-%_name
Summary: Python bindings for the spice-gtk library
Group: Development/Python
Requires: %name = %version

%description -n python-module-%_name
SpiceClientGtk module provides a SPICE viewer widget for GTK.

A module allowing use of the spice-gtk widget from python

%package tools
Summary: Spice-gtk tools
Group: Networking/Remote access

%description tools
Provides useful utilities for interacting with
SPICE servers. Includes snappy, a program for capturing
screen-shots of a SPICE desktop

%prep
%setup -q
%patch -p1
%patch2 -p1

%build
echo "%version" > .tarball-version
%autoreconf
%configure \
	%{subst_enable introspection} \
	--with-python \
	--disable-static \
	--disable-rpath \
	--enable-gtk-doc \
	--with-gtk=2.0

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %_name

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*.pc

%files devel-doc
%_datadir/gtk-doc/html/*

%files -n python-module-%_name
%python_sitelibdir/*.so
%exclude %python_sitelibdir/*.la

%files tools -f %_name.lang
%_bindir/*

%if_enabled introspection
%files gir
%_typelibdir/*.typelib

%files gir-devel
%_girdir/*.gir
%endif

%changelog
* Wed Apr 13 2011 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt2
- update BR:

* Wed Feb 16 2011 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt1
- 0.5

* Tue Jan 11 2011 Alexey Shabalin <shaba@altlinux.ru> 0.4-alt1
- 0.4

* Thu Dec 30 2010 Alexey Shabalin <shaba@altlinux.ru> 0.3-alt1
- initial build for ALTLinux
